Page MenuHomePhabricator

rust: update the minimum version of Rust
ClosedPublic

Authored by Alphare on Aug 25 2021, 11:53 AM.

Details

Summary

Debian Bullseye has just been released, and it carries rustc 1.48.0.

This actually implies a regression that we can't really do anything about in
rhg. See https://github.com/rust-lang/rust/issues/88825. In short, closed (or
bad) standard file descriptors are reopened silently with no way of telling by
the Rust runtime before main is executed. This means that closed fds are not
forwarded to the subprocess we run in case of fallback. This is a bit sad, but
probably not something worth worrying too much about.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Aug 25 2021, 11:53 AM
Alphare planned changes to this revision.Aug 26 2021, 5:17 AM

Seeing as how 5.9 still has a known bug and a 5.9.1 is needed (https://bz.mercurial-scm.org/show_bug.cgi?id=6581), I'll wait until 5.9.1 is released to re-push this for stable, otherwise the CI desync will be a pain.

SimonSapin accepted this revision.Sep 2 2021, 2:31 PM
SimonSapin added a subscriber: SimonSapin.

Looks good. This should be merged around the same time as CI is changed to use 1.48.0

Alphare retitled this revision from rust: update README to reflect that the minimum version of Rust has changed to rust: update the minimum version of Rust.Sep 14 2021, 11:07 AM
Alphare edited the summary of this revision. (Show Details)
Alphare updated this revision to Diff 30243.
Alphare planned changes to this revision.Sep 15 2021, 3:39 AM

This should not be taken until the start of the new cycle, because we don't want to break stable in case there is a 5.9.2, and I do not want to deal with a CI desync between stable and default.

pulkit added a subscriber: pulkit.Oct 13 2021, 2:28 PM

This should not be taken until the start of the new cycle, because we don't want to break stable in case there is a 5.9.2, and I do not want to deal with a CI desync between stable and default.

Is it good to go now?

Do you want to also update the rustfmt version used by test-check-format-rust.t?

Alphare requested review of this revision.Nov 3 2021, 12:07 PM

This is ready indeed and should be taken for 6.0. I've sent D11733 to address @martinvonz's request.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.